# The Counter class

## Introduction

Represents a single counter object.

## Class synopsis

Counter {
__construct ( string `$name` [, int `$initial_value` [, int `$flags` ]] )
getValue ( void ) : int
bumpValue ( int `$offset` )
resetValue ( void ) : void
getMeta ( int `$attribute` ) : mixed
static getNamed ( string `$name` ) : Counter
static setCounterClass ( string `$name` ) : void
}

## Table of Contents

- Counter::__construct — Creates an instance of a Counter which maintains a single numeric value
- Counter::getValue — Get the current value of a counter
- Counter::bumpValue — Change the current value of a counter
- Counter::resetValue — Reset the current value of a counter
- Counter::getMeta — Return a piece of metainformation about a counter
- Counter::getNamed — Retrieve an existing named counter
- Counter::setCounterClass — Set the class returned by Counter::getNamed